execution:
    uuid: e9f65fe6-605a-42d3-a9b9-2e409d296783
    runtime:
        start: 2024-01-09T17:23:16.686698-05:00
        end: 2024-01-09T17:24:16.263824-05:00
        duration: 59 seconds, and 577126 microseconds
    execution_context:
        type: synchronous

action:
    type: method
    plugin: !ref 'environment:plugins:rescript'
    action: dereplicate
    inputs:
    -   sequences: 3c26aa33-9412-4606-b2de-f2eca32a6b09
    -   taxa: a1d58f71-c77a-4940-8086-6fc45ff285e6
    parameters:
    -   mode: lca
    -   perc_identity: 1.0
    -   threads: 1
    -   rank_handles:
        - domain
        - phylum
        - class
        - order
        - family
        - genus
        - species
    -   derep_prefix: false
    output-name: dereplicated_sequences
    citations:
    - !cite 'action|rescript:2023.11.0.dev0+44.g92ee605|method:dereplicate|0'

transformers:
    inputs:
        sequences:
        -   from: DNASequencesDirectoryFormat
            to: DNAFASTAFormat
        taxa:
        -   from: TSVTaxonomyDirectoryFormat
            to: pandas.core.frame:DataFrame
            plugin: !ref 'environment:plugins:types'
            citations:
            - !cite 'view|types:2023.7.0|pandas.core.frame:DataFrame|0'
    output:
    -   from: DNAFASTAFormat
        to: DNASequencesDirectoryFormat

environment:
    platform: linux-x86_64
    python: |-
        3.8.15 | packaged by conda-forge | (default, Nov 22 2022, 08:46:39)
        [GCC 10.4.0]
    framework:
        version: 2023.7.0
        website: https://qiime2.org
        citations:
        - !cite 'framework|qiime2:2023.7.0|0'
    plugins:
        types:
            version: 2023.7.0
            website: https://github.com/qiime2/q2-types
        rescript:
            version: 2023.11.0.dev0+44.g92ee605
            website: https://github.com/nbokulich/RESCRIPt
            citations:
            - !cite 'plugin|rescript:2023.11.0.dev0+44.g92ee605|0'
    python-packages:
        Keras-Preprocessing: 1.1.2
        Markdown: 3.3.7
        Werkzeug: 2.1.2
        absl-py: 1.1.0
        astunparse: 1.6.3
        cachetools: 5.2.0
        flatbuffers: '1.12'
        gast: 0.4.0
        google-auth: 2.7.0
        google-auth-oauthlib: 0.4.6
        google-pasta: 0.2.0
        grpcio: 1.46.3
        keras: 2.9.0
        libclang: 14.0.1
        oauthlib: 3.2.0
        opt-einsum: 3.3.0
        protobuf: 3.19.4
        pyasn1: 0.4.8
        pyasn1-modules: 0.2.8
        requests-oauthlib: 1.3.1
        rsa: '4.8'
        tensorboard: 2.9.0
        tensorboard-data-server: 0.6.1
        tensorboard-plugin-wit: 1.8.1
        tensorflow-estimator: 2.9.0
        tensorflow-io-gcs-filesystem: 0.26.0
        termcolor: 1.1.0
        wrapt: 1.14.1
        Brotli: 1.1.0
        Cython: 3.0.7
        Jinja2: 3.1.2
        MarkupSafe: 2.1.3
        Pillow: 9.4.0
        PyJWT: 2.8.0
        PyNaCl: 1.5.0
        PyQt5: 5.15.7
        PyQt5-sip: 12.11.0
        PySocks: 1.7.1
        PyVCF3: 1.0.3
        PyYAML: 6.0.1
        appdirs: 1.4.4
        argcomplete: 3.2.1
        argh: 0.31.0
        asttokens: 2.4.1
        atpublic: 3.0.1
        attrs: 23.2.0
        backcall: 0.2.0
        bcrypt: 4.1.2
        bibtexparser: 1.4.1
        biom-format: 2.1.14
        biopython: '1.82'
        cachecontrol: 0.13.1
        cached-property: 1.5.2
        certifi: 2023.11.17
        cffi: 1.16.0
        charset-normalizer: 3.3.2
        click: 8.1.7
        colorama: 0.4.6
        comm: 0.2.1
        contourpy: 1.1.1
        cryptography: 39.0.0
        cycler: 0.12.1
        decorator: 4.4.2
        dill: 0.3.7
        exceptiongroup: 1.2.0
        executing: 2.0.1
        fastcluster: 1.2.6
        flufl.lock: '7.1'
        fonttools: 4.47.0
        gffutils: 0.10.1
        globus-sdk: 3.34.0
        h5py: 3.9.0
        hdmedians: 0.14.2
        idna: '3.6'
        ijson: 3.2.3
        importlib-metadata: 7.0.1
        iniconfig: 2.0.0
        ipython: 8.12.2
        ipywidgets: 8.1.1
        jedi: 0.19.1
        joblib: 1.3.2
        jsonlines: 3.0.0
        jupyterlab-widgets: 3.0.9
        kiwisolver: 1.4.5
        lockfile: 0.12.2
        matplotlib: 3.6.0
        matplotlib-inline: 0.1.6
        msgpack: 1.0.7
        munkres: 1.1.4
        natsort: 8.4.0
        ncbi-datasets-pylib: 16.1.2
        networkx: '3.1'
        numpy: 1.24.4
        packaging: '23.2'
        pandas: 1.5.3
        paramiko: 3.4.0
        parsl: 2024.1.8
        parso: 0.8.3
        patsy: 0.5.6
        pexpect: 4.8.0
        pickleshare: 0.7.5
        pip: 23.3.2
        platformdirs: 4.1.0
        pluggy: 1.3.0
        ply: '3.11'
        pooch: 1.8.0
        prompt-toolkit: 3.0.42
        psutil: 5.9.7
        ptyprocess: 0.7.0
        pure-eval: 0.2.2
        pycparser: '2.21'
        pyfaidx: 0.8.0
        pygments: 2.17.2
        pyparsing: 3.1.1
        pytest: 7.4.4
        python-dateutil: 2.8.2
        pytz: 2023.3.post1
        pyzmq: 25.1.2
        q2-feature-classifier: 2023.7.0
        q2-feature-table: 2023.7.0
        q2-longitudinal: 2023.7.0
        q2-quality-control: 2023.7.0
        q2-sample-classifier: 2023.7.0
        q2-taxa: 2023.7.0
        q2-types: 2023.7.0
        q2-types-genomics: 2023.9.0.dev0+4.g2f2909e
        q2cli: 2023.7.0
        q2templates: 2023.7.0
        qiime2: 2023.7.0
        requests: 2.31.0
        rescript: 2023.11.0.dev0+44.g92ee605
        scikit-bio: 0.5.8
        scikit-learn: 0.24.1
        scipy: 1.10.0
        seaborn: 0.13.1
        setproctitle: 1.3.3
        setuptools: 69.0.3
        simplejson: 3.19.2
        sip: 6.7.12
        six: 1.16.0
        stack-data: 0.6.2
        statsmodels: 0.14.1
        tblib: 3.0.0
        threadpoolctl: 3.2.0
        toml: 0.10.2
        tomli: 2.0.1
        tomlkit: 0.12.3
        tornado: 6.3.3
        traitlets: 5.14.1
        typeguard: 2.13.3
        typing-extensions: 4.9.0
        tzlocal: '2.1'
        unicodedata2: 15.1.0
        urllib3: 1.26.18
        wcwidth: 0.2.13
        wheel: 0.42.0
        widgetsnbextension: 4.0.9
        xmltodict: 0.13.0
        zipp: 3.17.0
